import React from 'react'
import { Link } from 'react-router'

function Navigation () {
  return (
    <header className='navbar bg-gray'>
      <section className='navbar-section'>
        <a href='/' className='navbar-brand'><h2>AutoMate</h2></a>
      </section>
      <section className='navbar-section'>
        <Link to='/demo_module' className='btn btn-link'>Demo Module</Link>
        <Link to='/project' className='btn btn-link'>Projects</Link>
        <Link to='/registermap' className='btn btn-link'>Registermaps</Link>
        <Link to='/sample' className='btn btn-link'>Sample</Link>
        <Link to='/sample' className='btn btn-primary'>Log In</Link>
      </section>
    </header>
  )
}

export default Navigation
