class LocalStorageMock {
  constructor () {
    this.store = {}
    this.outOfMemory = false
  }
  clear () {
    this.store = {}
  }
  getItem (key) {
    return this.store[key]
  }
  setItem (key, value) {
    if (!this.outOfMemory) {
      this.store[key] = value
    } else {
      throw new Error('Out of memory!')
    }
  }
}

global.localStorage = new LocalStorageMock()
