/** @todo Need to implement authentication!
  * https://auth0.com/blog/adding-authentication-to-your-react-flux-app/
  * https://jwt.io/introduction/
  */

class AuthService {
  login (username, password) {
    return when(req({
      url: 'http://localhost:3000/sessions/create',
      method: 'POST',
      crossOrigin: true,
      type: 'json',
      data: {
        username,
        password
      }
    }))
    .then((res) => {
      let jwt = res.id_token
      LoginActions.loginUser(jwt)
      return true
    })
  }
}

export default new AuthService()
