import React from 'react'

class DemoEditSecondary extends React.Component {
  constructor () {
    super()
    this.handleChange = this.handleChange.bind(this)
    this.handleSubmit = this.handleSubmit.bind(this)
  }

  handleChange (event) {
    const { updateSecondary, primaryKey } = this.props
    const { id, name, value } = event.target
    updateSecondary(primaryKey, id, {[name]: value})
  }

  handleSubmit (event) {
    event.preventDefault()
    // Save values in database.
  }

	render () {
    const { secondary } = this.props
		return (
      <form onSubmit={this.handleSubmit}>
        <input type='text' id={secondary.id} name='name' ref={input => { this.name = input }} value={secondary.name} onChange={this.handleChange} />
        <button type='submit'>Save</button>
      </form>
    )
	}
}

export default DemoEditSecondary