/** @module */

/*
 * constants.js
 *
 * Collection of all constants used in the component.
 * Use at least NAME to identify the module for other modules.
 **/

/** NAME is used to identify the module. It is e.g. used in action creators
  * and reducers. This module is called demo_module. */
export const NAME = 'demo_module'

/** DATA is used to illustrate the data sructure of the module.
  * in this example, there is an array of primary data. Every
  * primary data element has an array of secondary data elements. */
export const DATA = ['primary', 'secondary']

console.log('Constants NAME', NAME)
