import React from 'react'
import { Link } from 'react-router'

class RegistermapList extends React.Component {
  render () {
    const { registermapList } = this.props
    if (typeof registermapList !== 'undefined' && registermapList.length > 0) {
      return (
        <ul className='registermap-list scrollable'>
          {registermapList.map((registermap, key) =>
            <li key={key}><Link to={`/registermap/${registermap.id}`}>{registermap.name}</Link></li>
          )}
        </ul>
      )
    } else {
      return (
        <p>No registermaps found.</p>
      )
    }
  }
}

export default RegistermapList
